searchData={"items":[{"type":"task","title":"mix tailwind","doc":"Invokes tailwind with the given args.\n\nUsage:\n\n    $ mix tailwind TASK_OPTIONS PROFILE TAILWIND_ARGS\n\nExample:\n\n    $ mix tailwind default --config=tailwind.config.js       --input=css/app.css       --output=../priv/static/assets/app.css       --minify\n\nIf tailwind is not installed, it is automatically downloaded.\nNote the arguments given to this task will be appended\nto any configured arguments.","ref":"Mix.Tasks.Tailwind.html"},{"type":"task","title":"Options - mix tailwind","doc":"* `--runtime-config` - load the runtime configuration\n    before executing command\n\nNote flags to control this Mix task must be given before the\nprofile:\n\n    $ mix tailwind --runtime-config default","ref":"Mix.Tasks.Tailwind.html#module-options"},{"type":"task","title":"mix tailwind.install","doc":"Installs Tailwind executable and assets.\n\n    $ mix tailwind.install\n    $ mix tailwind.install --if-missing\n\nBy default, it installs 3.4.6 but you\ncan configure it in your config files, such as:\n\n    config :tailwind, :version, \"3.4.6\"","ref":"Mix.Tasks.Tailwind.Install.html"},{"type":"task","title":"Options - mix tailwind.install","doc":"* `--runtime-config` - load the runtime configuration\n      before executing command\n\n    * `--if-missing` - install only if the given version\n      does not exist\n\n    * `--no-assets` - does not install Tailwind assets","ref":"Mix.Tasks.Tailwind.Install.html#module-options"},{"type":"task","title":"Assets - mix tailwind.install","doc":"Whenever Tailwind is installed, a default tailwind configuration\nwill be placed in a new `assets/tailwind.config.js` file. See\nthe [tailwind documentation](https://tailwindcss.com/docs/configuration)\non configuration options.\n\nThe default tailwind configuration includes Tailwind variants for Phoenix\nLiveView specific lifecycle classes:\n\n  * phx-no-feedback - applied when feedback should be hidden from the user\n  * phx-click-loading - applied when an event is sent to the server on click\n    while the client awaits the server response\n  * phx-submit-loading - applied when a form is submitted while the client awaits the server response\n  * phx-submit-loading - applied when a form input is changed while the client awaits the server response\n\nTherefore, you may apply a variant, such as `phx-click-loading:animate-pulse`\nto customize tailwind classes when Phoenix LiveView classes are applied.","ref":"Mix.Tasks.Tailwind.Install.html#module-assets"},{"type":"module","title":"Tailwind","doc":"Tailwind is an installer and runner for [tailwind](https://tailwindcss.com/).","ref":"Tailwind.html"},{"type":"module","title":"Profiles - Tailwind","doc":"You can define multiple tailwind profiles. By default, there is a\nprofile called `:default` which you can configure its args, current\ndirectory and environment:\n\n    config :tailwind,\n      version: \"3.4.6\",\n      default: [\n        args: ~w(\n          --config=tailwind.config.js\n          --input=css/app.css\n          --output=../priv/static/assets/app.css\n        ),\n        cd: Path.expand(\"../assets\", __DIR__),\n      ]","ref":"Tailwind.html#module-profiles"},{"type":"module","title":"Tailwind configuration - Tailwind","doc":"There are two global configurations for the tailwind application:\n\n  * `:version` - the expected tailwind version\n\n  * `:version_check` - whether to perform the version check or not.\n    Useful when you manage the tailwind executable with an external\n    tool (eg. npm)\n\n  * `:cacerts_path` - the directory to find certificates for\n    https connections\n\n  * `:path` - the path to find the tailwind executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\nOverriding the `:path` is not recommended, as we will automatically\ndownload and manage `tailwind` for you. But in case you can't download\nit (for example, GitHub behind a proxy), you may want to\nset the `:path` to a configurable system location.\n\nFor instance, you can install `tailwind` globally with `npm`:\n\n    $ npm install -g tailwindcss\n\nOn Unix, the executable will be at:\n\n    NPM_ROOT/tailwind/node_modules/tailwind-TARGET/bin/tailwind\n\nOn Windows, it will be at:\n\n    NPM_ROOT/tailwind/node_modules/tailwind-windows-(32|64)/tailwind.exe\n\nWhere `NPM_ROOT` is the result of `npm root -g` and `TARGET` is your system\ntarget architecture.\n\nOnce you find the location of the executable, you can store it in a\n`MIX_TAILWIND_PATH` environment variable, which you can then read in\nyour configuration file:\n\n    config :tailwind, path: System.get_env(\"MIX_TAILWIND_PATH\")","ref":"Tailwind.html#module-tailwind-configuration"},{"type":"function","title":"Tailwind.bin_path/0","doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Tailwind.html#bin_path/0"},{"type":"function","title":"Tailwind.bin_version/0","doc":"Returns the version of the tailwind executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Tailwind.html#bin_version/0"},{"type":"function","title":"Tailwind.config_for!/1","doc":"Returns the configuration for the given profile.\n\nReturns nil if the profile does not exist.","ref":"Tailwind.html#config_for!/1"},{"type":"function","title":"Tailwind.configured_version/0","doc":"Returns the configured tailwind version.","ref":"Tailwind.html#configured_version/0"},{"type":"function","title":"Tailwind.default_base_url/0","doc":"The default URL to install Tailwind from.","ref":"Tailwind.html#default_base_url/0"},{"type":"function","title":"Tailwind.install/1","doc":"Installs tailwind with `configured_version/0`.","ref":"Tailwind.html#install/1"},{"type":"function","title":"Tailwind.install_and_run/2","doc":"Installs, if not available, and then runs `tailwind`.\n\nReturns the same as `run/2`.","ref":"Tailwind.html#install_and_run/2"},{"type":"function","title":"Tailwind.run/2","doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args.\nThe task output will be streamed directly to stdio. It\nreturns the status of the underlying call.","ref":"Tailwind.html#run/2"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.2.4 (2024-10-18) - CHANGELOG","doc":"* Add version check flag\n* Fallback to ipv4/ipv6 for unreachable hosts","ref":"changelog.html#v0-2-4-2024-10-18"},{"type":"extras","title":"v0.2.3 (2024-06-06) - CHANGELOG","doc":"* Fix Elixir v1.15 deprecation warnings","ref":"changelog.html#v0-2-3-2024-06-06"},{"type":"extras","title":"v0.2.2 (2023-11-03) - CHANGELOG","doc":"* Bump tailwind to 3.4.6\n* Do not check version if path explicitly configured","ref":"changelog.html#v0-2-2-2023-11-03"},{"type":"extras","title":"v0.2.1 (2023-06-26) - CHANGELOG","doc":"* Support Elixir v1.15+ by ensuring inets and ssl are available even on `runtime: false`","ref":"changelog.html#v0-2-1-2023-06-26"},{"type":"extras","title":"v0.2.0 (2023-03-16) - CHANGELOG","doc":"* Require Elixir v1.11+","ref":"changelog.html#v0-2-0-2023-03-16"},{"type":"extras","title":"v0.1.10 (2023-02-09) - CHANGELOG","doc":"* Declare inets and ssl for latest elixir support\n* Add FreeBSD targets\n* Add armv7 targets\n* Support custom URLs for fetching prebuilt tailwind binaries","ref":"changelog.html#v0-1-10-2023-02-09"},{"type":"extras","title":"v0.1.9 (2022-09-06) - CHANGELOG","doc":"* Use only TLS 1.2 on OTP versions less than 25.","ref":"changelog.html#v0-1-9-2022-09-06"},{"type":"extras","title":"v0.1.8 (2022-07-14) - CHANGELOG","doc":"* Fix generated tailwind.config.js missing plugin reference","ref":"changelog.html#v0-1-8-2022-07-14"},{"type":"extras","title":"v0.1.7 (2022-07-13) - CHANGELOG","doc":"* Bump tailwindcss to v3.1.6\n* Add Phoenix LiveView variants","ref":"changelog.html#v0-1-7-2022-07-13"},{"type":"extras","title":"v0.1.6 (2022-06-09) - CHANGELOG","doc":"* Bump tailwindcss to v3.1.0","ref":"changelog.html#v0-1-6-2022-06-09"},{"type":"extras","title":"v0.1.5 (2022-01-18) - CHANGELOG","doc":"* Prune app.js css import to remove required manual step on first install","ref":"changelog.html#v0-1-5-2022-01-18"},{"type":"extras","title":"v0.1.4 (2022-01-07) - CHANGELOG","doc":"* Bump tailwindcss to v3.0.12 to support alpine linux and others requiring statically linked builds","ref":"changelog.html#v0-1-4-2022-01-07"},{"type":"extras","title":"v0.1.3 (2022-01-04) - CHANGELOG","doc":"* Bump tailwindcss to v3.0.10\n* Inject tailwind imports into app.css on install\n* Prune phoenix.css import from app.css on install","ref":"changelog.html#v0-1-3-2022-01-04"},{"type":"extras","title":"v0.1.2 (2021-12-21) - CHANGELOG","doc":"* Fix tailwind v3 warnings and simplify generated `assets/tailwind.config.js` configuration","ref":"changelog.html#v0-1-2-2021-12-21"},{"type":"extras","title":"v0.1.1 (2021-12-20) - CHANGELOG","doc":"* First release","ref":"changelog.html#v0-1-1-2021-12-20"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}